## r-cran-rmpfr 0.8

=== DESCRIPTION ===
Package: Rmpfr
Title: R MPFR - Multiple Precision Floating-Point Reliable
Version: 0.8-7
Date: 2021-10-27
DateNote: Previous CRAN version 0.8-6 on 2021-10-23
Type: Package
Authors@R: c(person("Martin","Maechler", role = c("aut","cre"),
	     email = "maechler@stat.math.ethz.ch", comment = c(ORCID="0000-0002-8685-9910"))
	, person(c("Richard", "M."), "Heiberger", role = "ctb", email="rmh@temple.edu",
					comment = "formatHex(), *Bin, *Dec")
	, person(c("John", "C."), "Nash", role = "ctb", email="nashjc@uottawa.ca",
					comment = "hjkMpfr(), origin of unirootR()")
	, person(c("Hans", "W."), "Borchers", role = "ctb", email="hwborchers@googlemail.com",
					comment = "optimizeR(*, \"GoldenRatio\"); origin of hjkMpfr()")
	)
Description: Arithmetic (via S4 classes and methods) for
  arbitrary precision floating point numbers, including transcendental
  ("special") functions.  To this end, the package interfaces to
  the 'LGPL' licensed 'MPFR' (Multiple Precision Floating-Point Reliable) Library
  which itself is based on the 'GMP' (GNU Multiple Precision) Library.
SystemRequirements: gmp (>= 4.2.3), mpfr (>= 3.0.0), pdfcrop (part of
        TexLive) is required to rebuild the vignettes.
SystemRequirementsNote: 'MPFR' (MP Floating-Point Reliable Library,
        https://www.mpfr.org/) and 'GMP' (GNU Multiple Precision
        library, https://gmplib.org/), see >> README.md
Depends: gmp (>= 0.6-1), R (>= 3.5.0)
Imports: stats, utils, methods
Suggests: MASS, Bessel, polynom, sfsmisc (>= 1.0-20), Matrix
SuggestsNote: MASS, polynom, sfsmisc: only for vignette; Matrix:
        test-tools
Enhances: dfoptim, pracma
EnhancesNote: mentioned in Rd xrefs
URL: https://rmpfr.r-forge.r-project.org/
BugReports: https://r-forge.r-project.org/tracker/?group_id=386
License: GPL (>= 2)
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-10-27 06:53:27 UTC; maechler
Author: Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Richard M. Heiberger [ctb] (formatHex(), *Bin, *Dec),
  John C. Nash [ctb] (hjkMpfr(), origin of unirootR()),
  Hans W. Borchers [ctb] (optimizeR(*, "GoldenRatio"); origin of
    hjkMpfr())
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Repository: CRAN
Date/Publication: 2021-10-28 13:40:12 UTC

## r-cran-rmpfr 0.8-7

=== debian/changelog ===
r-cran-rmpfr (0.8-7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.8-7
  * Add r-cran-matrix to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 19:46:16 +0530

r-cran-rmpfr (0.8-4-1) unstable; urgency=medium

  * Initial release (closes: #995902)

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Oct 2021 21:23:57 +0200

=== debian/control ===
Source: r-cran-rmpfr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-gmp,
               libmpfr-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr.git
Homepage: https://cran.r-project.org/package=Rmpfr
Rules-Requires-Root: no

Package: r-cran-rmpfr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R MPFR - Multiple Precision Floating-Point Reliable
 Arithmetic (via S4 classes and methods) for
 arbitrary precision floating point numbers, including transcendental
 ("special") functions.  To this end, the package interfaces to
 the 'LGPL' licensed 'MPFR' (Multiple Precision Floating-Point Reliable) Library
 which itself is based on the 'GMP' (GNU Multiple Precision) Library.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-matrix
Restrictions: allow-stderr

## r-cran-rmpfr 0.8-9

=== debian/changelog ===
r-cran-rmpfr (0.8-9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.8-9
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Jun 2022 08:24:47 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-gmp,
                libmpfr-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr.git
 Homepage: https://cran.r-project.org/package=Rmpfr

## r-cran-rmpfr 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: Rmpfr
 Title: R MPFR - Multiple Precision Floating-Point Reliable
-Version: 0.8-7
-Date: 2021-10-27
-DateNote: Previous CRAN version 0.8-6 on 2021-10-23
+Version: 0.9-1
+Date: 2023-01-30
+DateNote: Previous CRAN version 0.9-0 on 2023-01-16
 Type: Package
 Authors@R: c(person("Martin","Maechler", role = c("aut","cre"),
 	     email = "maechler@stat.math.ethz.ch", comment = c(ORCID="0000-0002-8685-9910"))
@@ -23,19 +23,18 @@
 SystemRequirementsNote: 'MPFR' (MP Floating-Point Reliable Library,
         https://www.mpfr.org/) and 'GMP' (GNU Multiple Precision
         library, https://gmplib.org/), see >> README.md
-Depends: gmp (>= 0.6-1), R (>= 3.5.0)
+Depends: gmp (>= 0.6-1), R (>= 3.6.0)
 Imports: stats, utils, methods
-Suggests: MASS, Bessel, polynom, sfsmisc (>= 1.0-20), Matrix
-SuggestsNote: MASS, polynom, sfsmisc: only for vignette; Matrix:
-        test-tools
-Enhances: dfoptim, pracma
-EnhancesNote: mentioned in Rd xrefs
+Suggests: MASS, Bessel, polynom, sfsmisc (>= 1.1-14)
+SuggestsNote: MASS, polynom, sfsmisc: only for vignette;
+Enhances: dfoptim, pracma, DPQ
+EnhancesNote: mentioned in Rd xrefs | used in example
 URL: https://rmpfr.r-forge.r-project.org/
 BugReports: https://r-forge.r-project.org/tracker/?group_id=386
 License: GPL (>= 2)
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-10-27 06:53:27 UTC; maechler
+Packaged: 2023-01-30 09:49:09 UTC; maechler
 Author: Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
   Richard M. Heiberger [ctb] (formatHex(), *Bin, *Dec),
   John C. Nash [ctb] (hjkMpfr(), origin of unirootR()),
@@ -43,4 +42,4 @@
     hjkMpfr())
 Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
 Repository: CRAN
-Date/Publication: 2021-10-28 13:40:12 UTC
+Date/Publication: 2023-01-31 14:30:09 UTC

## r-cran-rmpfr 0.9-1

=== debian/changelog ===
r-cran-rmpfr (0.9-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 11:39:40 +0100

r-cran-rmpfr (0.9-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:17:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-gmp,
                libmpfr-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr.git
 Homepage: https://cran.r-project.org/package=Rmpfr

## r-cran-rmpfr 0.9-2

=== debian/changelog ===
r-cran-rmpfr (0.9-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 20:18:53 +0200

## r-cran-rmpfr 0.9-5

=== debian/changelog ===
r-cran-rmpfr (0.9-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 16:58:04 +0100

r-cran-rmpfr (0.9-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:54:09 +0100

r-cran-rmpfr (0.9-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 14:31:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log config.status

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
        r-cran-polynom,
        r-cran-sfsmisc (>= 1.1-14)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Rmpfr_([-\d.]*)\.tar\.gz

## r-cran-rmpfr 1.0

=== DESCRIPTION ===
Package: Rmpfr
Title: Interface R to MPFR - Multiple Precision Floating-Point Reliable
Version: 1.0-0
Date: 2024-11-15
DateNote: Previous CRAN version 0.9-5 on 2024-01-20
Type: Package
Authors@R: c(person("Martin","Maechler", role = c("aut","cre"),
	     email = "maechler@stat.math.ethz.ch", comment = c(ORCID="0000-0002-8685-9910"))
	, person(c("Richard", "M."), "Heiberger", role = "ctb", email="rmh@temple.edu",
					comment = "formatHex(), *Bin, *Dec")
	, person(c("John", "C."), "Nash", role = "ctb", email="nashjc@uottawa.ca",
					comment = "hjkMpfr(), origin of unirootR()")
	, person(c("Hans", "W."), "Borchers", role = "ctb", email="hwborchers@googlemail.com",
					comment = "optimizeR(*, \"GoldenRatio\"); origin of hjkMpfr()")
	, person("Mikael", "Jagan", role = "ctb", comment = c("safer convert.c", ORCID = "0000-0002-3542-2938"))
	)
Description: Arithmetic (via S4 classes and methods) for
  arbitrary precision floating point numbers, including transcendental
  ("special") functions.  To this end, the package interfaces to
  the 'LGPL' licensed 'MPFR' (Multiple Precision Floating-Point Reliable) Library
  which itself is based on the 'GMP' (GNU Multiple Precision) Library.
SystemRequirements: gmp (>= 4.2.3), mpfr (>= 3.1.0), pdfcrop (part of
        TexLive) is required to rebuild the vignettes.
SystemRequirementsNote: 'MPFR' (MP Floating-Point Reliable Library,
        https://www.mpfr.org/) and 'GMP' (GNU Multiple Precision
        library, https://gmplib.org/), see >> README.md
Depends: gmp (>= 0.6-1), R (>= 3.6.0)
Imports: stats, utils, methods
Suggests: DPQmpfr, MASS, Bessel, polynom, sfsmisc (>= 1.1-14)
SuggestsNote: MASS, polynom, sfsmisc: only for vignette;
Enhances: dfoptim, pracma, DPQ
EnhancesNote: mentioned in Rd xrefs | used in example
URL: https://rmpfr.r-forge.r-project.org/
BugReports: https://r-forge.r-project.org/tracker/?group_id=386
License: GPL (>= 2)
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-11-15 14:10:23 UTC; maechler
Author: Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Richard M. Heiberger [ctb] (formatHex(), *Bin, *Dec),
  John C. Nash [ctb] (hjkMpfr(), origin of unirootR()),
  Hans W. Borchers [ctb] (optimizeR(*, "GoldenRatio"); origin of
    hjkMpfr()),
  Mikael Jagan [ctb] (safer convert.c,
    <https://orcid.org/0000-0002-3542-2938>)
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Repository: CRAN
Date/Publication: 2024-11-18 08:30:02 UTC

## r-cran-rmpfr 1.0-0

=== debian/changelog ===
r-cran-rmpfr (1.0-0-2) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * Add patch to fix 32-bit build (Closes: #1099426)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 03 Apr 2025 10:02:16 -0400

r-cran-rmpfr (1.0-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Feb 2025 09:28:59 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-gmp,
                libmpfr-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr.git
 Homepage: https://cran.r-project.org/package=Rmpfr

## r-cran-rmpfr 1.1-2

=== debian/changelog ===
r-cran-rmpfr (1.1-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reomve patch applied upstream.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 10:57:38 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-gmp,
-               libmpfr-dev
-Standards-Version: 4.7.1
+               libmpfr-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmpfr.git
 Homepage: https://cran.r-project.org/package=Rmpfr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
         r-cran-polynom,
         r-cran-sfsmisc
Restrictions: allow-stderr
